/**
 * @file nitro-daemon-defs.h
 * 
 * This file contains the macro definitions for NITRO device daemon. 
 *
 * This file is part of nitro
 *
 * Copyright (C) 2007-2008 Nokia Corporation. 
 *
 * Contact: Eero Tamminen <eero.tamminen@nokia.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 
 * version 2 as published by the Free Software Foundation. 
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef NITRO_DAEMON_DEFS_FILE_H
#define NITRO_DAEMON_DEFS_FILE_H

#define MMC1_LOC 		"/media/mmc1"
#define MMC2_LOC 		"/media/mmc2"
#define MMC1_CORES_LOCATION 	"/media/mmc1/core-dumps"
#define MMC2_CORES_LOCATION 	"/media/mmc2/core-dumps"
#define ROOTFS_LOCATION 	"/media"
#define FILE_PERMISSION 	0777

#define GCONF_DIR 		"/system/osso/af"
#define EXTERNAL_MMC_PRESENT 	"/system/osso/af/mmc-device-present"
#define INTERNAL_MMC_PRESENT 	"/system/osso/af/internal-mmc-device-present"
#define EXTERNAL_COVER_OPEN 	"/system/osso/af/mmc-cover-open"
#define MMC_CORRUPTED 		"/system/osso/af/mmc/mmc-corrupted"
#define EXTERNAL_MMC_USED_USB	"/system/osso/af/mmc-used-over-usb"
#define INTERNAL_MMC_USED_USB	"/system/osso/af/internal-mmc-used-over-usb"

#define NITRO_SERVICE		"nitro_ui"
#define NITRO_METHOD_SEND_FILE	"nitro_send_file"
#define NITRO_METHOD_SEND_ALL	"nitro_send_all_files"

#define NITRO_UI		"nitro_ui"

#endif
